org.apache.cassandra.io.util

## Class DataInputPlus.DataInputStreamPlus

- java.lang.Object
- - java.io.InputStream
  - - java.io.FilterInputStream
    - - java.io.DataInputStream
      - - org.apache.cassandra.io.util.DataInputPlus.DataInputStreamPlus

All Implemented Interfaces:
  java.io.Closeable, java.io.DataInput, java.lang.AutoCloseable, DataInputPlus

Enclosing interface:
  DataInputPlus

    public static class DataInputPlus.DataInputStreamPlus
    extends java.io.DataInputStream
    implements DataInputPlus

Wrapper around an InputStream that provides no buffering but can decode varints

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.cassandra.io.util.DataInputPlus

`DataInputPlus.DataInputStreamPlus`

### Field Summary

### Fields inherited from class java.io.FilterInputStream

`in`

### Constructor Summary

Constructors
Constructor and Description
`DataInputStreamPlus(java.io.InputStream is)`

### Method Summary

### Methods inherited from class java.io.DataInputStream

`read, read, readBoolean, readByte, readChar, readDouble, readFloat, readFully, readFully, readInt, readLine, readLong, readShort, readUnsignedByte, readUnsignedShort, readUTF, readUTF, skipBytes`

### Methods inherited from class java.io.FilterInputStream

`available, close, mark, markSupported, read, reset, skip`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.cassandra.io.util.DataInputPlus

`readUnsignedVInt, readVInt, skipBytes, skipBytesFully`

### Methods inherited from interface java.io.DataInput

`readBoolean, readByte, readChar, readDouble, readFloat, readFully, readFully, readInt, readLine, readLong, readShort, readUnsignedByte, readUnsignedShort, readUTF`

### Constructor Detail

#### DataInputStreamPlus

    public DataInputStreamPlus(java.io.InputStream is)